import type { IBrowser, IPage } from './types';
export declare enum DEVICE_TYPE {
    PC = "PC",
    MOBILE_HOR = "MOBILE_HORPC",
    MOBILE_VERT = "MOBILE_VERT"
}
export declare function initBrowser({ puppeteer, args, headless, devtools, }: {
    puppeteer: any;
    args?: Array<string>;
    headless?: boolean;
    devtools?: boolean;
}): Promise<any>;
export declare function getNewPage(browser: IBrowser, device: DEVICE_TYPE): Promise<any>;
export declare function openOrFindPage(browser: any, href: string, device: DEVICE_TYPE): Promise<any>;
export declare function setUserAgent(useragent: string, page: IPage): Promise<void>;
export declare function setSessionStorage(key: string, value: string, page: IPage): Promise<void>;
export declare function setRoute(page: IPage, route?: string): Promise<void>;
